Package: primitives

## [Java] Class boolean[][]

- primitives.boolean[][]

-     public class boolean[][]
      extends Object

  GDK enhancements for boolean[][].

  displayName:
    boolean[][]
  receiverFqcn:
    boolean[][]

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<Boolean>` | `flatten()` Flattens a 2D array into a new collection.
    `` | `public boolean` | `transpose()` A transpose method for 2D boolean arrays.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, clamp, clamp, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, takeIf, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public List<Boolean> flatten()

      Flattens a 2D array into a new collection. The items are copied row by row.

      Example usage:

           boolean[][] array = [[true, false], [true, false]]
           assert array.flatten() == [true, false, true, false]

      Returns:
        a Collection of the array elements
      Since:
        5.0.0

    - #### public boolean transpose()

      A transpose method for 2D boolean arrays.

      Example usage:

           boolean[][] array = [[false, false], [true, true]]
           boolean[][] expected = [[false, true], [false, true]]
           def result = array.transpose()
           assert result == expected
           assert array.class.componentType == result.class.componentType

      Returns:
        the transposed 2D boolean array
      Since:
        5.0.0